unit fmMain;

interface

//------------------------------------------------------------------------------
//
// CPU Usage Example (Windows NT/2000)
//
// This example shows how to use PerfUtils components for CPU usage monitoring
// You will need to install the PerfUtils to compile this example.
// PerfUtils home page is http://www.aldyn.ru/products/perfutils/
//
// This example with step by step instructions is published at
// http://www.aldyn.ru/demos/0017/
//
// (c) 2000 Alexey Dynnikov <aldyn@chat.ru>
//
//------------------------------------------------------------------------------

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, PerfMonitor;

type
  TMainForm = class(TForm)
    PM: TPerfMonitor;
    PB: TProgressBar;
    Label1: TLabel;
    Label2: TLabel;
    Timer: TTimer;
    procedure TimerTimer(Sender: TObject);
  private
    { Private declarations }
    _Busy : Boolean;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.TimerTimer(Sender: TObject);
begin
    if _Busy then exit;
    _Busy := True; // Do not allow re-entering the refresh loop.
    try
        // Gather performance data...
        PM.Collect;

        // ...and show it!
        PB.Position:=Round(PM.Items[0].InstanceValues[0].AsFloat);

    finally
        _Busy := False;
    end;
end;

end.
